Page MenuHomeFreeBSD

print/ghostscript10: fix compilation issue with LLVM > 14
ClosedPublic

Authored by michaelo on Mar 13 2024, 1:36 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 4, 7:02 AM
Unknown Object (File)
Fri, May 3, 7:40 PM
Unknown Object (File)
Sun, Apr 28, 9:52 AM
Unknown Object (File)
Sat, Apr 27, 1:19 AM
Unknown Object (File)
Fri, Apr 26, 4:10 AM
Unknown Object (File)
Apr 20 2024, 3:34 AM
Unknown Object (File)
Apr 12 2024, 6:10 AM
Unknown Object (File)
Apr 12 2024, 6:06 AM

Details

Summary

This issue reported upstream with
https://bugs.ghostscript.com/show_bug.cgi?id=707649 has been fixed and
one-off patch backported to this port.

PR: 277667
Approved by: jrm (mentor), otis (mentor)

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

michaelo created this revision.
mat added inline comments.
print/ghostscript10/Makefile
3

Why bump PORTREVISION ?

print/ghostscript10/Makefile
3

To trigger a rebuild in poudriere, the source code has changed after all.

I tested the patch and it works fine here in poudriere.

Thanks!

print/ghostscript10/Makefile
3

Why are you adding a patch ?

vvd added inline comments.
print/ghostscript10/Makefile
3

Build without errors on 13.2 (llvm 14), but it can fail in runtime.

34

Why EXTRA_PATCHES?

print/ghostscript10/Makefile
7–10

I slightly prefer fetching the patch from the source repository rather than copying and storing it in the ports tree. I'm just pointing out this is an option; it's not a blocker.

print/ghostscript10/Makefile
34

I have fetched the patch straight out of Git and it we be removed with the next version of GS. No need to spend extra time to do the patch myself with make makepatch.

print/ghostscript10/Makefile
7–10

Good to know, the reason why I did it I have copied the approach from fe495574527e3f97cbb57438f8c468fad8842e9d and it was accepted.

vishwin added inline comments.
print/ghostscript10/Makefile
34

This is not needed when you already have PATCH_SITES/PATCHFILES for the same exact patch. In fact, this is a wasted line (and corresponding downloaded file) regardless, unless you explicitly do the patching in do-patch/pre-patch/post-patch.

print/ghostscript10/Makefile
3

@vvd Could you elaborate? Do you have an actionable suggestion for Michael?

7–10

For the Samba commit, it was unclear whether those patches were fetchable, and there already were a few entries in EXTRA_PATCHES, so it seemed preferable to keep the existing approach.

Removed inline patch in favor of remote one.

Looks good to me unless @vvd has something actionable regarding runtime issues.

print/ghostscript10/Makefile
3

I agree that it is useful to rebuild the port with the updated code, even when it is successfully built before the patch. Also, it's not like this is rebuilding LLVM or rust. On my modest hardware, poudriere tells me it took 27s to build.

This revision is now accepted and ready to land.Mar 13 2024, 3:35 PM
print/ghostscript10/Makefile
3

It's explanation why we need bump.

print/ghostscript10/Makefile
3

yes, thanks, so bumping is required.